Bug Hunting Session
Bug 54669 - FORMATTING: Paragraph indent incorrect with left border line + spacing
Summary: FORMATTING: Paragraph indent incorrect with left border line + spacing
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.6.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 105692 (view as bug list)
Depends on:
Blocks: Paragraph-Indent
  Show dependency treegraph
 
Reported: 2012-09-08 13:21 UTC by dsoetebeer
Modified: 2019-04-05 02:59 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
ODT that shows misaligment with indent + border line (12.76 KB, application/vnd.oasis.opendocument.text)
2012-10-29 21:58 UTC, stfhell
Details
Wrong tab stop in paragraph with padding. (29.08 KB, application/vnd.oasis.opendocument.text)
2017-06-29 19:08 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dsoetebeer 2012-09-08 13:21:31 UTC
Problem description: 

If a paragraph is formatted left a framework that links the feeder is in the first line by the width of the frame shifted too far to the left. All these lines are drawn correctly.

Steps to reproduce:
1. Entering any text that is wrapped over several lines. After the first word must be a tab inserted.
2. Menu: Format, Paragraph: Register "Indents and heels", "Before text" 4 cm, "first line" -4 cm; register "border" line array "left", "distance from text": Left: 0.3 cm
All other specifications are the default values.

Current behavior:
The first line of the text is not exactly positioned at the predetermined location of the indented text, while the following lines are indented properly on links. The first line is about the frame width links placed too far to the left.

Expected behavior:
The indented text must also be placed in the first row in the same place, as in the following lines of the same paragraph.


Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:15.0) Gecko/20100101 Firefox/15.0
Comment 1 stfhell 2012-10-29 21:58:36 UTC
Created attachment 69261 [details]
ODT that shows misaligment with indent + border line

Attached a document that illustrates the bug. Look at the last paragraph (first line is misaligned after tab). (LibreOffice 3.5.4.2, Ubuntu 12.04)
Comment 2 Michael Stahl (CIB) 2012-10-31 19:14:37 UTC
hmm... the ruler indeed displays a tab stop position that is different from where the text starts.

seems it's the same in LO 3.5.3, LO master, OOo 3.4beta, OOo 3.3, OOo 3.0.1
=> not a regression

strangely OOo 3.3 formats the first paragraph of the without-border section differently (starts at 2cm) from other versions.
Comment 3 stfhell 2012-11-01 17:29:26 UTC
Yes, it's a very old bug.
The original intention must have been that all paragraph settings for indents or tabs do not take into account any additional spacing that comes with the border frame: If you set an indent or tab stop at 5 cm, it will be 5 cm + the border spacing from the margin. It works in principle, just the "virtual tab stop" that LO automatically defines with hanging-indent-paragraphs forgets to add the additional border spacing.

The ruler is a bit confusing with frame spacing as it shows the internally "corrected" indent or tab stop positions, not the values defined in the par properties. But the ruler obviously reflects LO's layout mechanism: If you define a paragraph with both left border spacing and a left indent, LO formats this way:
paragraph indent - frame + spacing - paragraph contents
and not:
frame + spacing - paragraph indent - paragraph contents
It would probably make more sense to grey out the frame spacing part in the ruler and start the normal paragraph ruler at the real paragraph border.

(re Comment #2)
> strangely OOo 3.3 formats the first paragraph of the without-border section
> differently (starts at 2cm) from other versions.
The very first paragraph in the document? That would be very strange, because it has neither indents nor tabs. But seems corrected in AOO 3.4.1, where the file looks the same as in LO.
Comment 4 QA Administrators 2015-01-05 17:52:07 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-01-28 12:58:32 UTC
Confirmed with attachment 69261 [details].

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 784d069cc1d9f1d6e6a4e543a278376ab483d1eb
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-25_23:07:36
Comment 6 QA Administrators 2016-02-21 08:37:08 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2017-03-06 15:44:30 UTC Comment hidden (obsolete)
Comment 8 Regina Henschel 2017-06-29 19:08:41 UTC
Created attachment 134393 [details]
Wrong tab stop in paragraph with padding.

The error is still present in Version: 6.0.0.0.alpha0+
Build ID: 9f3814af7264ce90685a82cbf4eb015a38f22bf7
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-06-28_00:47:42
Locale: de-DE (de_DE); Calc: group

Open the attached document. The first-line indent is relative to the normal left edge of the content. But the markers in the ruler do not consider the padding, and therefore have a position 1cm to the left. Because the marker acts as tab stop position, the tab after the symbol has wrong target.
Comment 9 Regina Henschel 2017-06-29 19:11:07 UTC
*** Bug 105692 has been marked as a duplicate of this bug. ***
Comment 10 QA Administrators 2019-04-05 02:59:37 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug